data:extend({
  {
    type = "recipe",
    name = "infinity-chest",
    enabled = true,
    ingredients = { },
    result = "infinity-chest"
	},
  {
    type = "recipe",
    name = "infinity-pipe",
    enabled = true,
    ingredients = { },
    result = "infinity-pipe"
	},
  {
    type = "recipe",
    name = "electric-energy-interface",
    enabled = true,
    ingredients = { },
    result = "electric-energy-interface"
  },
  {
    type = "recipe",
    name = "player-port",
    enabled = true,
    ingredients = { },
    result = "player-port"
  },
})

local inf_chest = data.raw.item["infinity-chest"]
inf_chest.subgroup = "other"
inf_chest.order = "aa"
inf_chest.stack_size = 50

local inf_pipe = data.raw.item["infinity-pipe"]
inf_pipe.subgroup = "other"
inf_pipe.order = "ab"
inf_pipe.stack_size = 50

local interface = data.raw.item["electric-energy-interface"]
interface.subgroup = "other"
interface.order = "ba"
interface.stack_size = 50

local player_port = data.raw.item["player-port"]
player_port.subgroup = "other"
player_port.order = "bb"
player_port.stack_size = 20


-- add electric interfaces with secondary and primary priority
function CreateElectricInterface(name, tint, priority, energy_in, energy_out )
  local entity = table.deepcopy(data.raw["electric-energy-interface"]["electric-energy-interface"])
  entity.name = name
  entity.minable.result = name
  entity.picture.tint = tint
  entity.energy_source = {
    type = "electric",
    buffer_capacity = "1GJ",
    usage_priority = priority,
    input_flow_limit = energy_in,
    output_flow_limit = energy_out
  }
  entity.energy_production = energy_out
  entity.energy_usage = energy_in


  local item = table.deepcopy(data.raw.item["electric-energy-interface"])
  item.name = name
  item.place_result = name
  item.icons = { {icon = "__base__/graphics/icons/accumulator.png", tint = tint} }

  local recipe =   {
    type = "recipe",
    name = name,
    enabled = true,
    ingredients = { },
    result = name
  }

  data:extend({ entity, item, recipe })
end

CreateElectricInterface("electric-energy-interface-drain-1", {r=0.1, g=0.1, b=0.5, a=1}, "primary-input", "1GW", "0W" )
CreateElectricInterface("electric-energy-interface-source-1", {r=0.5, g=0.1, b=0.1, a=1}, "primary-output", "0W", "1GW" )
CreateElectricInterface("electric-energy-interface-drain-2", {r=0.4, g=0.4, b=0.8, a=1}, "secondary-input", "1GW", "0W" )
CreateElectricInterface("electric-energy-interface-source-2", {r=0.8, g=0.3, b=0.3, a=1}, "secondary-output", "0W", "1GW" )

